cmake_minimum_required(VERSION 3.1.0)
project(lfr_uart VERSION 0.1.0)

include(CTest)
enable_testing()

set(THREADS_PREFER_PTHREAD_FLAG ON)

find_package(Threads REQUIRED)

add_executable(lfr_uart uart_communication.cpp uart_communication_main.cpp)
add_library(lfr_uart_lib uart_communication.cpp)

target_link_libraries( lfr_uart Threads::Threads)
target_link_libraries( lfr_uart_lib Threads::Threads)

target_include_directories(lfr_uart PUBLIC .)
target_include_directories(lfr_uart_lib PUBLIC .)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)
